Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
RBignum Struct Reference

`#include <ruby.h>`

## Data Fields
struct RBasic | basic
union {
struct {
long len
BDIGIT * digits
} heap
BDIGIT ary [RBIGNUM_EMBED_LEN_MAX]
} | as
union {
struct {
long len
BDIGIT * digits
} heap
BDIGIT ary [RBIGNUM_EMBED_LEN_MAX]
} | as

## Detailed Description

Definition at line 1059 of file ripper.y.

## Field Documentation

BDIGIT RBignum::ary[RBIGNUM_EMBED_LEN_MAX]

Definition at line 1066 of file ripper.y.

union { ... } RBignum::as

union { ... } RBignum::as

struct RBasic RBignum::basic

Definition at line 1060 of file ripper.y.

BDIGIT* RBignum::digits

Definition at line 1064 of file ripper.y.

struct { ... } RBignum::heap

struct { ... } RBignum::heap

long RBignum::len

Definition at line 1063 of file ripper.y.

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h